## org.jfree.data
Class AbstractXYZDataset

    java.lang.Object
      org.jfree.data.AbstractDataset
          org.jfree.data.AbstractSeriesDataset
              org.jfree.data.AbstractXYDataset
                  org.jfree.data.AbstractXYZDataset

All Implemented Interfaces:
  java.lang.Cloneable, Dataset, java.util.EventListener, java.io.ObjectInputValidation, java.io.Serializable, SeriesChangeListener, SeriesDataset, XYDataset, XYZDataset

Direct Known Subclasses:
  DefaultContourDataset, MatrixSeriesCollection

public abstract class AbstractXYZDataset
extends AbstractXYDataset
implements XYZDataset

An base class that you can use to create new implementations of the `XYZDataset` interface.

See Also:
  Serialized Form

Constructor Summary
`AbstractXYZDataset()`

Method Summary
`double` `getZ(int series, int item)` Returns the z-value (as a double primitive) for an item within a series.

Methods inherited from class org.jfree.data.AbstractXYDataset
`getX, getY`

Methods inherited from class org.jfree.data.AbstractSeriesDataset
`getSeriesCount, getSeriesName, seriesChanged`

Methods inherited from class org.jfree.data.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.XYZDataset
`getZValue`

Methods inherited from interface org.jfree.data.XYDataset
`getItemCount, getX, getXValue, getY, getYValue`

Methods inherited from interface org.jfree.data.SeriesDataset
`getSeriesCount, getSeriesName`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### AbstractXYZDataset

    public AbstractXYZDataset()

Method Detail

### getZ

    public double getZ(int series,
                       int item)

  Returns the z-value (as a double primitive) for an item within a series.

  Specified by:
    `getZ` in interface `XYZDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The z-value.